Loading...
Searching...
No Matches
AVDRMDeviceContext Struct Reference

DRM device. More...

`#include <libavutil/hwcontext_drm.h>`

## Data Fields

int | fd
| File descriptor of DRM device.

## Detailed Description

DRM device.

Allocated as AVHWDeviceContext.hwctx.

Definition at line 157 of file hwcontext_drm.h.

## Field Documentation

## fd

int AVDRMDeviceContext::fd

File descriptor of DRM device.

This is used as the device to create frames on, and may also be used in some derivation and mapping operations.

If no device is required, set to -1.

Definition at line 166 of file hwcontext_drm.h.

The documentation for this struct was generated from the following file:

- libavutil/hwcontext_drm.h